//
// C++ Implementation: komposetaskprefswidget
//
// Description:
//
//
// Author: Hans Oischinger <hans.oischinger@kde-mail.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "komposetaskprefswidget.h"

#include "komposetaskwidget.h"
#include "komposetask.h"
#include "komposetaskprefswidget.h"
#include "komposesettings.h"

#include <tdetoolbar.h>
#include <tdetoolbarbutton.h>
#include <tdeactioncollection.h>
#include <tdeaction.h>
#include <tdeshortcut.h>
#include <tdelocale.h>

#include <tqiconset.h>

KomposeTaskPrefsWidget::KomposeTaskPrefsWidget(KomposeTaskWidget *parent, const char *name)
    : TQDockArea(TQt::Horizontal , TQDockArea::Normal, parent, name)
{
  TDEToolBar* pToolBar = new TDEToolBar( this, "Task Actions" );
  pToolBar->setLabel(i18n("Task"));
  pToolBar->setResizeEnabled ( false );
  pToolBar->setMovingEnabled ( false );
  pToolBar->setHorizontallyStretchable ( false );
  pToolBar->setVerticallyStretchable ( false );
  pToolBar->setIconSize( 16 );
  
  parent->getActMinimizeRestoreTask()->plug(pToolBar);
  parent->getActCloseTask()->plug(pToolBar);
  
  lineUp(false);

  resize(pToolBar->size());
}


KomposeTaskPrefsWidget::~KomposeTaskPrefsWidget()
{
}



#include "komposetaskprefswidget.moc"
